purple.h File Reference
libpurple
`#include <glib.h>`
`#include <account.h>`
`#include <accountopt.h>`
`#include <blist.h>`
`#include <buddyicon.h>`
`#include <certificate.h>`
`#include <cipher.h>`
`#include <circbuffer.h>`
`#include <cmds.h>`
`#include <connection.h>`
`#include <conversation.h>`
`#include <core.h>`
`#include <debug.h>`
`#include <desktopitem.h>`
`#include <dnsquery.h>`
`#include <dnssrv.h>`
`#include <eventloop.h>`
`#include <ft.h>`
`#include <idle.h>`
`#include <imgstore.h>`
`#include <log.h>`
`#include <media.h>`
`#include <mediamanager.h>`
`#include <mime.h>`
`#include <nat-pmp.h>`
`#include <network.h>`
`#include <notify.h>`
`#include <ntlm.h>`
`#include <plugin.h>`
`#include <pluginpref.h>`
`#include <pounce.h>`
`#include <prefs.h>`
`#include <privacy.h>`
`#include <proxy.h>`
`#include <prpl.h>`
`#include <request.h>`
`#include <roomlist.h>`
`#include <savedstatuses.h>`
`#include <server.h>`
`#include <signals.h>`
`#include <smiley.h>`
`#include <sound.h>`
`#include <sound-theme.h>`
`#include <sound-theme-loader.h>`
`#include <sslconn.h>`
`#include <status.h>`
`#include <stringref.h>`
`#include <stun.h>`
`#include <theme.h>`
`#include <theme-loader.h>`
`#include <theme-manager.h>`
`#include <upnp.h>`
`#include <util.h>`
`#include <value.h>`
`#include <version.h>`
`#include <whiteboard.h>`
`#include <xmlnode.h>`

Go to the source code of this file.

## Macros

#define | G_GNUC_NULL_TERMINATED
#define | PURPLE_PLUGINS 1

## Detailed Description

Header files and defines This file contains all the necessary preprocessor directives to include libpurple's headers and other preprocessor directives required for plugins or UIs to build. Including this file eliminates the need to directly include any other libpurple files.

Since
  2.3.0

Definition in file purple.h.